Subject: [MMUSIC] Help needed on SDP capneg example using media titles

From: <[email-masked]>
Date: Fri, 28 Jun 2013 10:37:49 +0000

Hello WG,

http://tools.ietf.org/html/draft-ietf-mmusic-sdp-miscellaneous-caps extends SDP Capability Negotiation with a media or session title capability attribute ("a=icap").

I would like to add an example to this draft showing an SDP Offer with a title capability using a different character encoding than that offered in the "i=" line, so that if the potential configuration gets selected, the title would be interpreted in a different charset.  I'm not an expert on internationalization, so I would appreciate some help with this.

I'm expecting the SDP Offer to look something like this:

      v=0

      o=- 25678 753849 IN IP4 192.0.2.1

      s=

      c=IN IP4 192.0.2.1

      t=0 0

      a=creq:icap-v0

      m=video 53456 RTP/AVP 100

      a=rtpmap:100 H264/90000

      i=some text using the default charset

      a=icap:1 some text in other charset

      a=acap:1 charset:ISO-8859-5

      a=pcfg:1 a=1 i=1

where the "i=" line is the media title, and an alternative media title is offered in the "a=icap" attribute line. For the title capability, we need to also indicate the character set which is used to interpret it (in this example ISO-8859-5 but it could be anything other than the default ISO-10646).

How is the text in the "a=icap" attribute line to be encoded using this alternative character set?

I also copy the relevant text from http://tools.ietf.org/html/draft-ietf-mmusic-sdp-miscellaneous-caps which specifies the usage of charsets with the "a=icap" attribute:

   As defined in SDP [RFC4566<http://tools.ietf.org/html/rfc4566>], the session information field ("i=",

   referred to as "title" in this document) is subject to the

   "a=charset" attribute in order to support different character sets

   and hence internationalization.  The title capability attribute

   itself ("a=icap") is however not subject to the "a=charset" attribute

   as this would preclude the inclusion of alternative session/title

   information each using different character sets.  Instead, the

   session/title value embedded in an "a=icap" attribute (title

   capability) will be subject to the "a=charset" value used within a

   configuration that includes that title capability.  This provides for

   consistent SDP operation while allowing for capabilities and

   configurations with different session/title information values with

   different character set encodings (with each such configuration

   including an "a=charset" value with the relevant character set for

   the session/title information in question).

Thanks,
Simo